ランタイム: Mix::Scene::IEntity Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
Mix::Scene::IEntity Class Referenceabstract

エンティティインターフェース More...

`#include <IEntity.h>`

Inheritance diagram for Mix::Scene::IEntity:
[legend]
Collaboration diagram for Mix::Scene::IEntity:
[legend]

## Public Member Functions

全般
virtual Boolean | IsDraw (void) const =0
| 描画するかどうかを確認します More...
virtual void | SetDraw (Boolean state)=0
| 描画するかどうかを設定します More...
virtual Boolean | IsLocalLighting (void) const =0
| ポイントライト、スポットライトによるライティングを行うかどうかを確認します More...
virtual void | SetLocalLighting (Boolean state)=0
| ポイントライト、スポットライトによるライティングを行うかどうかを設定します More...
半透明
virtual UInt32 | GetTransparencyPriority (void) const =0
| 半透明ポリゴンの描画の優先度を取得します More...
virtual void | SetTransparencyPriority (UInt32 priority)=0
| 半透明ポリゴンの描画の優先度を設定します More...
virtual Mix::Scene::WATER_CONTAINS_RESULT | GetDefaultWaterContainsResult (void) const =0
| 水中かどうかを判定する際のデフォルト値を取得します More...
virtual void | SetDefaultWaterContainsResult (Mix::Scene::WATER_CONTAINS_RESULT result)=0
| 水中かどうかを判定する際のデフォルト値を設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IEntity (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

エンティティインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IEntity::~IEntity | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Scene::IEntity::IsDraw | ( | void |  | ) | const

pure virtual

描画するかどうかを確認します

Returns
  描画する場合は True を返します

virtual void Mix::Scene::IEntity::SetDraw | ( | Boolean | state | ) |

pure virtual

描画するかどうかを設定します

Parameters

  [in] | state | 描画する場合は True

virtual Boolean Mix::Scene::IEntity::IsLocalLighting | ( | void |  | ) | const

pure virtual

ポイントライト、スポットライトによるライティングを行うかどうかを確認します

Returns
  ライティングを行う場合は True を返します

virtual void Mix::Scene::IEntity::SetLocalLighting | ( | Boolean | state | ) |

pure virtual

ポイントライト、スポットライトによるライティングを行うかどうかを設定します

Parameters

  [in] | state | ライティングを行う場合は True

virtual UInt32 Mix::Scene::IEntity::GetTransparencyPriority | ( | void |  | ) | const

pure virtual

半透明ポリゴンの描画の優先度を取得します

Returns
  優先度を返します

virtual void Mix::Scene::IEntity::SetTransparencyPriority | ( | UInt32 | priority | ) |

pure virtual

半透明ポリゴンの描画の優先度を設定します

Parameters

  [in] | priority | 優先度

Note
  半透明なもの同士が重なった際に優先度の高いほうを手前に描画します。

virtual Mix::Scene::WATER_CONTAINS_RESULT Mix::Scene::IEntity::GetDefaultWaterContainsResult | ( | void |  | ) | const

pure virtual

水中かどうかを判定する際のデフォルト値を取得します

Returns
  デフォルト値を表す Mix::Scene::WATER_CONTAINS_RESULT

Note
  初期値は Mix::Scene::WCR_FRONT になります。

virtual void Mix::Scene::IEntity::SetDefaultWaterContainsResult | ( | Mix::Scene::WATER_CONTAINS_RESULT | result | ) |

pure virtual

水中かどうかを判定する際のデフォルト値を設定します

Parameters

  [in] | result | デフォルト値を表す Mix::Scene::WATER_CONTAINS_RESULT 列挙定数

Note
  この設定は半透明なものに対して機能します。
  - Mix::Scene::WCR_UNKNOWN
    毎フレーム水中にあるかどうかを判定します。
  - Mix::Scene::WCR_FRONT
    常に水面より手前にあることを意味します。
  - Mix::Scene::WCR_BACK
    常に水面より奥(水中)にあることを意味します。
  - Mix::Scene::WCR_OVERLAP
    常に水面と重なっている(一部が水中)ことを意味します。

The documentation for this class was generated from the following file:

- Mix/Scene/IEntity.h